html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'SegoeUI', Arial, Helvetica, sans-serif;
    color: white;
    overflow: hidden;
    /*position: fixed;*/
}

* {
    box-sizing: border-box;
    user-select: none;
}

body {
    display: flex;
    align-items: center;
    flex-direction: column;
    background: #AA2971;
    background-color: #AA2971;
    /*background: repeating-conic-gradient(#aa2971 0 15deg, #972464 0 30deg);*/
    background: repeating-conic-gradient(#972464 -15deg 15deg, #aa2971 0 30deg);
}

.card {
    background-color: white;
    position: relative;
    max-width: calc(100% - 32px);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;
    border-radius: 10px;
    /*border: 5px solid white;*/

    outline: 6px solid white;
    outline-offset: -3px;

    overflow: hidden;
    aspect-ratio: 0.71;
    margin-left: 16px;
    margin-right: 16px;

    /*animation-delay: 0s !important;
    -webkit-animation-delay: 0s !important;*/
}

canvas {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    /*border: 4px solid gray;*/
    border-radius: 10px;
    /*opacity: 0;*/
}

.cat-bronze {
    outline-color: #BF5F0E;
    color: #BD5C0C;
}
.cat-bronze > canvas {
    border: 4px solid #FFD8AF;
}
.cat-gold {
    outline-color: #BE8803;
    color: #A37501;
}
.cat-gold > canvas {
    border: 4px solid #FFFF76;
}
.cat-silver {
    outline-color: #BFBFBF;
    color: #707070;
}
.cat-silver > canvas {
    border: 4px solid #FFFFFF;
}

.logo {
    position: relative;
    font-size: 28px;
    text-transform: uppercase;
    padding: 2px 14px;
    border: 3px solid white;
    /*margin-top: 16px;
    margin-bottom: 30px;*/
    margin-top: 16px;
    margin-bottom: 15px;
}

.logo::after {
    content: "®";
    position: absolute;
    right: 3px;
    top: 3px;
    font-size: 14px;
}

.logo > span {
    font-weight: 900;
}

.text {
    /*
    font-size: 42px;
    line-height: 42px;
    */
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
    /*margin-bottom: 16px;*/

    font-size: 31px;
    line-height: 30px;
}
.text-holder {
    overflow: hidden;
}

.prize {
    /*font-size: 50px;*/
    font-size: 13vw;
    font-weight: bold;
    z-index: 1;
}

.scratch {
    /*font-size: 23px;
    font-weight: bold;
    margin-top: 10px;
    margin-bottom: 16px;*/
    text-align: center;
    animation-delay: 1.5s !important;
    -webkit-animation-delay: 1.5s !important;

    font-size: 16px;
    font-weight: bold;
    /*margin-top: 2px;
    margin-bottom: 6px;*/
    margin-top: 4px;
    margin-bottom: 3px;
}

.scratch > img {
    vertical-align: bottom;
    width: 20px;
}

.slide-up.d1 {
    animation-delay: 0.5s;
}
.slide-up.d2 {
    animation-delay: 0.7s;
}
.slide-up.d3 {
    animation-delay: 0.9s;
}
/*
.image-holder {
    !*width: 290px;
    height: 290px;*!
    margin-top: 10%;
    width: 60%;
    height: fit-content;
    border-radius: 300px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.image-holder > img {
    width: 100%;
    max-height: 100%;
    max-width: 100%;
}*/

#prizeImage {
/*//    width: 60%;*/
    max-width: 60%;
    height: fit-content;
    clip-path: circle();
}

#discount {
    font-size: 100px;
    font-weight: bold;
}

#desc {
    font-size: 30px;
    line-height: 35px;
    font-weight: bold;
    white-space: pre-line;
    text-align: center;
}

#buy {
    font-size: 40px;
    line-height: 45px;
    font-weight: bold;
    white-space: pre-line;
    text-align: center;
}

.hand {
    position: absolute;
    bottom: 20%;
    left: calc(50% - 40px);
    z-index: 3;
    width: 22%;
}

.backdrop {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: #AA2971;
    z-index: 10;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #AA2971;
    flex-direction: column;
}

/*
.backdrop * {
    z-index: 11;
}
*/

.popup {
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.16);
    padding: 20px;
    border-radius: 16px;
    margin-bottom: 10px;
}

.info-icon-red {
    margin-top: 2px;
}

.popup-text {
    font-size: 5vw;
    line-height: 5.5vw;
    text-align: center;
    margin-top: 10px;
}

input {
    font-family: 'SegoeUI', Arial, Helvetica, sans-serif;
    outline: none;
    border: 2px solid #707070;
    font-size: 18px;
    font-style: italic;
    border-radius: 49px;
    height: 43px;
    width: 100%;
    margin-top: 20px;
    font-weight: 200;
    padding-left: 30px;
    padding-right: 30px;
}

input:focus {
    outline: none;
}

.terms {
    font-size: 14px;
    line-height: 19px;
    text-align: center;
    color: black;
    margin-top: 18px;
}

#check {
    margin-top: 10px;
    width: 38px;
    height: 38px;
    border: 2px solid #707070;
    position: relative;
}

#check.checked::after {
    position: absolute;
    display: block;
    content: " ";
    background-image: url("/assets/check.svg");
    left: -11px;
    top: -10px;
    height: 46px;
    width: 55px;
}

#btnSend {
    color: white;
    font-size: 24px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #AA2971;
    height: 66px;
    border-radius: 66px;
    width: 178px;
    margin-top: 19px;
    border: 3px solid white;
    position: relative;
}

#btnSend::after {
    position: absolute;
    display: block;
    content: " ";
    height: 66px;
    left: -4px;
    top: -4px;
    right: -4px;
    bottom: 0;
    border: 1px solid #AA2971;
    border-radius: 66px;
}

#btnSend.disabled {
    opacity: 0.5;
}

.hidden {
    display: none;
    pointer-events: none;
}

#popup-complete > .popup  {
    width: 80vw;
    height: 80vh;
    justify-content: center;
}

#popup-confirm > .popup  {
    width: 80vw;
    height: 80vh;
    justify-content: center;
}


.lds-dual-ring {
    display: inline-block;
    width: 32px;
    height: 32px;
}

.lds-dual-ring.hidden {
    display: none;
}

.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 25px;
    height: 25px;
    margin: 3px;
    border-radius: 50%;
    border: 3px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#spinner {
    margin-top: 72px;
    align-self: center;
    position: absolute;
}
